| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | List of all members
PrefModuleTreeView Class Reference

A tree view for displaying and navigating preference modules. More...

`#include <pref_module_view.h>`

Inheritance diagram for PrefModuleTreeView:

## Signals
void | goToPane (QString module_name)
| Signal emitted to navigate to a specific preference pane.

## Public Member Functions
| PrefModuleTreeView (QWidget *parent=0)
| Constructs a new PrefModuleTreeView object.
void | setPane (const QString module_name)
| Sets the active preference pane to the specified module.

## Protected Slots
void | currentChanged (const QModelIndex &current, const QModelIndex &previous) override
| Handles the event when the current item in the tree view changes.

## Detailed Description

A tree view for displaying and navigating preference modules.

## Constructor & Destructor Documentation

## ◆ PrefModuleTreeView()

PrefModuleTreeView::PrefModuleTreeView | ( | QWidget * | parent = 0 | ) |

Constructs a new PrefModuleTreeView object.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ currentChanged

void PrefModuleTreeView::currentChanged | ( | const QModelIndex & | current,
|  | const QModelIndex & | previous )
| override protected slot

Handles the event when the current item in the tree view changes.

Parameters

  current | The new current model index.
  previous | The previous current model index.

## ◆ goToPane

void PrefModuleTreeView::goToPane | ( | QString | module_name | ) |
| signal

Signal emitted to navigate to a specific preference pane.

Parameters

  module_name | The name of the target module.

## ◆ setPane()

void PrefModuleTreeView::setPane | ( | const QString | module_name | ) |

Sets the active preference pane to the specified module.

Parameters

  module_name | The name of the module to set as the active pane.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/pref_module_view.h
- /builds/wireshark/wireshark/ui/qt/widgets/pref_module_view.cpp